1 Reply Latest reply on Feb 3, 2014 10:50 AM by philippe.vannuijs

    App Error

    cms365

      We will be rolling out a Good Dynamics wrapped version of the Jive along side the launch of the Jive platform within our organization. I understand you don't technically support wrapping the app, but perhaps you can offer some insight here.

       

      After wrapping the app, the app functions perfectly with one exception. When you dive into content and the popup thread loads up, you consistently get the error "can't load JVTablet.js" (see screenshot).

      My initial thoughts are perhaps the app is trying to pull something from the web that we are blocking. I have white listed *.jiveon.com for testing purposes but it made no difference. Is there another domain perhaps that needs white listed? Any other ideas?

       

      Appreciate your help.Image.png

      Chas

        • Re: App Error

          Hi Chas,

           

          This is a known issue with the wrapping server that has been addressed by Good in a new release, I think the new version is coming next month, I would recommend reaching out to your Good Dynamics support contact.

          Good Technology provided Jive with a development build of the wrapping server that does not have this issue, mention you would like access to the production version of the following Good Dynamics wrapping server build:


          Manifest-Version: 1.0

          Archiver-Version: Plexus Archiver

          Created-By: Apache Maven

          Built-By: buildmaster

          Build-Jdk: 1.6.0_32

          Implementation-Vendor:

          Implementation-Version: 0.35-SNAPSHOT-138

          Specification-Title: Good Wrapper

          Specification-Version: 0.35-SNAPSHOT

          Class-Path: gdwrapper-0.1.jar dd-plist-1.0.jar commons-io-2.4.jar comm

          ons-fileupload-1.2.2.jar commons-codec-1.4.jar jersey-server-1.1.2-ea

          .jar asm-3.1.jar jersey-core-1.1.2-ea.jar jersey-spring-1.1.2-ea.jar

          jaxb-impl-2.1.10.jar jaxb-api-2.1.jar activation-1.1.jar stax-api-1.0

          -2.jar jsr311-api-1.0.jar log4j-1.2.14.jar spring-beans-3.0.5.RELEASE

          .jar spring-context-3.0.5.RELEASE.jar spring-aop-3.0.5.RELEASE.jar sp

          ring-expression-3.0.5.RELEASE.jar spring-asm-3.0.5.RELEASE.jar spring

          -core-3.0.5.RELEASE.jar commons-logging-1.1.1.jar spring-web-3.0.5.RE

          LEASE.jar aopalliance-1.0.jar

           

          If you are not successful with getting the latest version, I could provide you with a wrapped version for testing. You do need to resign this version with your own certificate and wrapping certs, this is highly technical and require knowledge of both the iOS signing and Good Dynamics signing process. We provided some of our other customers this version because they experienced the same issue. Also this version should NOT be considered as a production build, it should just be used to verify if the above issue has been fixed in the latest wrapping server.